Bug 581294 - [abrt] crash in system-config-display-2.2-1.fc12: xConfigDialog.py:60:update_ui:UnicodeDecodeError: 'utf8' codec can't decode bytes in position 14-15: invalid data
[abrt] crash in system-config-display-2.2-1.fc12: xConfigDialog.py:60:update_...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
abrt_hash:7e66d9eb
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-11 11:46 EDT by Devyn H.
Modified: 2010-12-03 11:03 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 11:03:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (679 bytes, text/plain)
2010-04-11 11:47 EDT, Devyn H.
no flags Details

  None (edit)
Description Devyn H. 2010-04-11 11:46:59 EDT
abrt 1.0.8 detected a crash.

architecture: i686
cmdline: python2 /usr/share/system-config-display/xconf.py
comment: Please see steps above.
component: system-config-display
executable: /usr/share/system-config-display/xconf.py
kernel: 2.6.32.11-99.fc12.i686.PAE
package: system-config-display-2.2-1.fc12
reason: xConfigDialog.py:60:update_ui:UnicodeDecodeError: 'utf8' codec can't decode bytes in position 14-15: invalid data
release: Fedora release 12 (Constantine)

backtrace
-----
xConfigDialog.py:60:update_ui:UnicodeDecodeError: 'utf8' codec can't decode bytes in position 14-15: invalid data

Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 60, in update_ui
    label.set_text(_("%s with %s")%(self.state.get_monitor_name(), self.state.get_videocard_name()))
UnicodeDecodeError: 'utf8' codec can't decode bytes in position 14-15: invalid data

Local variables in innermost frame:
h: 480
self: <xConfigDialog.XConfigDialog instance at 0x875e82c>
args: (<gtk.OptionMenu object at 0x8784144 (GtkOptionMenu at 0x8978800)>,)
label: <gtk.Label object at 0x881d43c (GtkLabel at 0x88e0a48)>
w: 640
res: '640x480'

How to reproduce
-----
1. run system-config-display
Comment 1 Devyn H. 2010-04-11 11:47:01 EDT
Created attachment 405827 [details]
File: backtrace
Comment 2 Devyn H. 2010-04-19 00:19:33 EDT

How to reproduce
-----
1.  Run system-config-display




Comment
-----
Installed python related libraries:

[root@htpc pulse]# rpm -aq|grep python
libsemanage-python-2.0.45-1.fc12.i686
policycoreutils-python-2.0.79-1.fc12.i686
python-offtrac-0.0.3-1.fc12.noarch
python-argparse-1.0.1-1.fc12.noarch
libxslt-python-1.1.26-1.fc12.i686
python-libs-2.6.2-4.fc12.i686
python-magic-5.03-13.fc12.i686
python-httplib2-0.4.0-4.fc12.noarch
newt-python-0.52.11-1.fc12.i686
python-simplejson-2.0.9-3.fc12.i686
python-imaging-1.1.6-17.fc12.i686
boost-python-1.39.0-9.fc12.i686
gnome-python2-gnomekeyring-2.28.0-2.fc12.i686
python-logilab-astng-0.19.1-1.fc12.noarch
python-fedora-0.3.18-1.fc12.noarch
kross-python-4.4.1-1.fc12.i686
python-meh-0.7-1.fc12.noarch
python-crypto-2.0.1-19.i686
rpm-python-4.7.2-1.fc12.i686
python-devel-2.6.2-4.fc12.i686
python-sqlalchemy-0.5.8-3.fc12.noarch
audit-libs-python-2.0.4-1.fc12.i686
abrt-addon-python-1.0.8-2.fc12.i686
gnome-python2-desktop-2.28.0-2.fc12.i686
libxml2-python-2.7.6-2.fc12.i686
gnome-python2-gtkhtml2-2.25.3-17.fc12.i686
python-psyco-1.6-4.fc12.i686
python-deltarpm-3.5-0.4.20090913git.fc12.i686
gnome-python2-gnome-2.28.0-1.fc12.i686
notify-python-0.1.1-8.fc12.i686
libuser-python-0.56.13-1.fc12.i686
gtk-vnc-python-0.3.10-2.fc12.i686
mod_python-3.3.1-11.i686
gstreamer-python-0.10.16-1.fc12.i686
gnome-python2-2.28.0-1.fc12.i686
postgresql-python-8.4.3-1.fc12.i686
dbus-python-0.83.0-6.fc12.i686
python-decoratortools-1.7-4.fc12.noarch
gnome-python2-gconf-2.28.0-1.fc12.i686
python-slip-gtk-0.2.8-1.fc12.noarch
gnome-python2-extras-2.25.3-17.fc12.i686
kdebase-workspace-python-applet-4.4.1-2.fc12.i686
python-paramiko-1.7.6-1.fc12.noarch
libproxy-python-0.2.3-12.fc12.i686
python-ldap-2.3.10-1.fc12.i686
gstreamer-python-devel-0.10.16-1.fc12.i686
python-2.6.2-4.fc12.i686
libselinux-python-2.0.90-5.fc12.i686
python-urlgrabber-3.9.1-4.fc12.noarch
python-enum-0.4.3-6.fc12.noarch
python-beaker-1.3.1-6.fc12.noarch
python-ethtool-0.3-5.fc12.i686
python-alsaaudio-0.6-1.fc12.i686
python-iwlib-0.1-1.fc12.i686
gamin-python-0.1.10-5.fc12.i686
gstreamer-rtsp-python-0.10.5-1.fc12.i686
python-logilab-common-0.45.0-1.fc12.noarch
python-feedparser-4.1-10.fc12.noarch
python-pycurl-7.19.0-4.fc12.i686
python-slip-0.2.8-1.fc12.noarch
python-iniparse-0.3.1-2.fc12.noarch
setools-libs-python-3.3.6-4.fc12.i686
python-virtinst-0.500.1-2.fc12.noarch
python-enchant-1.3.1-5.fc12.i686
python-pyasn1-0.0.9a-1.fc12.noarch
python-bugzilla-0.5.1-3.fc12.noarch
python-telepathy-0.15.11-1.fc12.noarch
python-mako-0.2.4-3.fc12.noarch
MySQL-python-1.2.3-0.4.c1.fc12.i686
python-alsa-1.0.22-1.fc12.i686
gnome-python2-canvas-2.28.0-1.fc12.i686
gnome-python2-bonobo-2.28.0-1.fc12.i686
python-BeautifulSoup-3.0.8-1.fc12.noarch
python-dns-1.7.1-2.fc12.noarch
python-decorator-3.0.1-3.fc12.noarch
gnome-python2-gnomevfs-2.28.0-1.fc12.i686
python-slip-dbus-0.2.8-1.fc12.noarch
libvirt-python-0.7.1-15.fc12.i686
python-krbV-1.0.13-10.fc12.i686
python-paste-1.7.2-4.fc12.noarch
[root@htpc pulse]#
Comment 3 Bug Zapper 2010-11-03 13:22:57 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 11:03:28 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.